clear
close all
data=load('data.txt');
k0=find(data(:,15)==2,1);
data(data(:,11)<1,12:14)=NaN;
data=data(k0:end,:);
L=length(data);
t=((1:1:L)'-1)*0.005;


figure
plot(data(:,13),data(:,12));
hold on
plot(data(:,23),data(:,22));
legend('卫星定位','组合导航');
title('轨迹');
xlabel('经度')
ylabel('纬度');

figure
subplot(3,1,1);
plot(t,data(:,12),t,data(:,22));
ylabel('纬度/deg');
subplot(3,1,2);
plot(t,data(:,13),t,data(:,23));
ylabel('经度/deg');
subplot(3,1,3);
plot(t,data(:,14),t,data(:,24));
ylabel('高度/m');
legend('卫星定位','组合导航');
xlabel('时间/s');

figure
subplot(3,1,1);
plot(t,data(:,16));
ylabel('yaw/deg');
subplot(3,1,2);
plot(t,data(:,17));
ylabel('pitch/deg');
subplot(3,1,3);
plot(t,data(:,18));
ylabel('roll/deg');
xlabel('时间/s');


figure
subplot(3,1,1);
plot(t,data(:,19));
ylabel('ve/(m/s)');
subplot(3,1,2);
plot(t,data(:,20));
ylabel('vn/(m/s)');
subplot(3,1,3);
plot(t,data(:,21));
ylabel('vu/(m/s)');
xlabel('时间/s');






